<?php

namespace Comitium5\DesignerBundle\Model\Interfaces\Privacy;

/**
 * Interface PrivacyInterface
 * @author Fernando Pradas <fernando@bab-soft.com>
 * @package Comitium5\DesignerBundle\Model\Interfaces\Privacy
 */
interface PrivacyInterface
{

    /**
     * @param bool $public
     * @return mixed
     */
    public function setPublic($public = true);

    /**
     * @return boolean
     */
    public function isPublic();

    /**
     * @param bool $private
     * @return mixed
     */
    public function setPrivate($private = true);

    /**
     * @return boolean
     */
    public function isPrivate();
}